Subject: Re: [PATCH v2] doc/gitk: update reference to the external project

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2025 08:34:25 -0700

Johannes Sixt <[email-masked]> writes:

> Gitk is now maintained by Johannes Sixt and the repository can be
> cloned from a new URL. b59358100c20 (Update the official repo of
> gitk, 2024-12-24) could have updated this instance in the manual,
> too, but the opportunity was missed. Update it now. Do give credit
> to Paul Mackerras as the inventor of the program.
>
> Signed-off-by: Johannes Sixt <[email-masked]>
> ---

Thanks for the update.  This is long overdue.  I forgot that this
manual page was carried in my tree.

>  I just noticed that I would have removed the last user-visible
>  mention of Paul. Don't do that.
>
>  Documentation/gitk.adoc | 8 ++++----
>  1 file changed, 4 insertions(+), 4 deletions(-)
>
> diff --git a/Documentation/gitk.adoc b/Documentation/gitk.adoc
> index 58ce40ddb1..5b34dcd077 100644
> --- a/Documentation/gitk.adoc
> +++ b/Documentation/gitk.adoc
> @@ -163,16 +163,16 @@ used by default. If '$XDG_CONFIG_HOME' is not set it defaults to
>  
>  History
>  -------
> -Gitk was the first graphical repository browser. It's written in
> -tcl/tk.
> +Gitk was the first graphical repository browser, written by
> +Paul Mackerras in Tcl/Tk.
>  
>  'gitk' is actually maintained as an independent project, but stable
>  versions are distributed as part of the Git suite for the convenience
>  of end users.
>  
> -gitk-git/ comes from Paul Mackerras's gitk project:
> +`gitk-git/` comes from Johannes Sixt's gitk project:
>  
> -	git://ozlabs.org/~paulus/gitk
> +	https://github.com/j6t/gitk
>  
>  SEE ALSO
>  --------